unit NDllLoader;

interface

uses Windows;

function LoadDLL(const Filename: WideString): HMODULE;

implementation

function LoadDLL(const Filename: WideString): HMODULE;
var
  dir: WideString;
  len: Integer;
begin
  SetString(dir, nil, GetSystemDirectoryW(nil, 0));
  len := Length(dir);
  if GetSystemDirectoryW(PWideChar(dir), len) = 0 then begin
    Result := 0;
    Exit;
  end;
  dir[len] := '\';
  Result := LoadLibraryW(PWideChar(dir + Filename));
end;

end.
